QGIS Application - Feature request #3849
road-graph plugin not work with
2011-05-26 10:19 PM - Sergey Yakushev

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13907
Description

Road graph plugin not work with message "Tie point failed". It is two problem:

1. Ignore "Enable 'on the fly' coordinate transfom"” settings

2. Division by zero in [[QgsPoint]]::sqrtDistToSegment(x1,y1,x2,y2, minDistPoint) function if (x1,y1) == (x2, y2)

History

#1 - 2011-05-26 10:29 PM - Sergey Yakushev

Sorry. | upload broken file. Use new attach.

#2 - 2011-05-26 11:03 PM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed

applied in commit:92d69e09e78f6c97da12c8bbal381eecc28d67986

#3 - 2011-05-27 11:44 AM - Sergey Yakushev
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

It is available to apply in to release-1_7_0 ?

#4 - 2011-05-27 12:12 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Feedback to Closed

Replying to [comment:3 stopa85]:

It is available to apply in to release-1_7 0 ?

applied to 1.7 in commit:d61e6d5954a4ebbaaed4e6514834bb5434472575
Files

roadgraph_fix_OTF_and_sqrDist.diff 6.47 KB 2011-05-26 Sergey Yakushev
roadgraph_fix_OTF_and_sqrDist_01.diff 6.5 KB 2011-05-26 Sergey Yakushev

2025-04-27 22



